org.eclipse.emf.cdo.eresource

## Interface EresourceFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    EresourceFactoryImpl

      public interface EresourceFactory
      extends EFactory

  The Factory for the Eresource model. It provides a create method for each non-abstract class of the model.
  See Also:
    `EresourcePackage`
  Generated
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EresourceFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBinaryResource` | `createCDOBinaryResource()` Returns a new object of class 'CDO Binary Resource'.
    `CDOResource` | `createCDOResource()` Returns a new object of class 'CDO Resource'.
    `CDOResourceFolder` | `createCDOResourceFolder()` Returns a new object of class 'CDO Resource Folder'.
    `CDOTextResource` | `createCDOTextResource()` Returns a new object of class 'CDO Text Resource'.
    `EresourcePackage` | `getEresourcePackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final EresourceFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createCDOResourceFolder

          CDOResourceFolder createCDOResourceFolder()

      Returns a new object of class 'CDO Resource Folder'.
      Returns:
        a new object of class 'CDO Resource Folder'.
      Since:
        2.0
      Generated

    - #### createCDOResource

          CDOResource createCDOResource()

      Returns a new object of class 'CDO Resource'.
      Returns:
        a new object of class 'CDO Resource'.
      Generated

    - #### createCDOBinaryResource

          CDOBinaryResource createCDOBinaryResource()

      Returns a new object of class 'CDO Binary Resource'.
      Returns:
        a new object of class 'CDO Binary Resource'.
      Since:
        4.1
      Generated

    - #### createCDOTextResource

          CDOTextResource createCDOTextResource()

      Returns a new object of class 'CDO Text Resource'.
      Returns:
        a new object of class 'CDO Text Resource'.
      Since:
        4.1
      Generated

    - #### getEresourcePackage

          EresourcePackage getEresourcePackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html